Update user profile
Updates information in the profile of the currently logged in user. Note that all fields are optional, i.e., a partial view of the request body may be given.
curl --request PUT \
--url https://ctechnology.io/api/v2.2/me \
--header 'Authorization: <api-key>' \
--header 'Content-Type: application/json' \
--data '
{
"first_name": "<string>",
"last_name": "<string>",
"may_use_email_for_marketing": true,
"address_country_code": "<string>",
"address_street": "<string>",
"address_city": "<string>",
"address_zip": "<string>",
"profile_picture_id": "<string>",
"primary_locale": "<string>",
"settings_webapp": {
"current_organization": "<string>",
"selected_theme_id": "<string>",
"private_sidebar_filter_vehicles": {
"show_own_vehicles": true,
"show_client_vehicles": true
},
"professional_sidebar_filter_vehicles": {
"show_own_vehicles": true,
"show_client_vehicles": true
},
"timestamp_last_time_upgrade_app_shown": "2023-11-07T05:31:56Z"
},
"settings_nativeapp": {
"theme": "<string>",
"map_style": "<string>",
"font_size": "<string>",
"animations": true
},
"notification_new_message": true,
"notification_new_news_article": true,
"ecosystem_timestamp_last_news_read": "2023-11-07T05:31:56Z",
"company_name": "<string>",
"company_tel": "<string>"
}
'import requests
url = "https://ctechnology.io/api/v2.2/me"
payload = {
"first_name": "<string>",
"last_name": "<string>",
"may_use_email_for_marketing": True,
"address_country_code": "<string>",
"address_street": "<string>",
"address_city": "<string>",
"address_zip": "<string>",
"profile_picture_id": "<string>",
"primary_locale": "<string>",
"settings_webapp": {
"current_organization": "<string>",
"selected_theme_id": "<string>",
"private_sidebar_filter_vehicles": {
"show_own_vehicles": True,
"show_client_vehicles": True
},
"professional_sidebar_filter_vehicles": {
"show_own_vehicles": True,
"show_client_vehicles": True
},
"timestamp_last_time_upgrade_app_shown": "2023-11-07T05:31:56Z"
},
"settings_nativeapp": {
"theme": "<string>",
"map_style": "<string>",
"font_size": "<string>",
"animations": True
},
"notification_new_message": True,
"notification_new_news_article": True,
"ecosystem_timestamp_last_news_read": "2023-11-07T05:31:56Z",
"company_name": "<string>",
"company_tel": "<string>"
}
headers = {
"Authorization": "<api-key>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
first_name: '<string>',
last_name: '<string>',
may_use_email_for_marketing: true,
address_country_code: '<string>',
address_street: '<string>',
address_city: '<string>',
address_zip: '<string>',
profile_picture_id: '<string>',
primary_locale: '<string>',
settings_webapp: {
current_organization: '<string>',
selected_theme_id: '<string>',
private_sidebar_filter_vehicles: {show_own_vehicles: true, show_client_vehicles: true},
professional_sidebar_filter_vehicles: {show_own_vehicles: true, show_client_vehicles: true},
timestamp_last_time_upgrade_app_shown: '2023-11-07T05:31:56Z'
},
settings_nativeapp: {
theme: '<string>',
map_style: '<string>',
font_size: '<string>',
animations: true
},
notification_new_message: true,
notification_new_news_article: true,
ecosystem_timestamp_last_news_read: '2023-11-07T05:31:56Z',
company_name: '<string>',
company_tel: '<string>'
})
};
fetch('https://ctechnology.io/api/v2.2/me', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"header": {
"api_version": "<string>",
"status": "<string>",
"message": "<string>",
"permission_via": [
{
"permission": "<string>",
"organization_id": "<string>"
}
]
},
"data": {
"id": "<string>",
"email": "jsmith@example.com",
"first_name": "<string>",
"last_name": "<string>",
"address_country_code": "<string>",
"address_street": "<string>",
"address_city": "<string>",
"address_zip": "<string>",
"profile_picture_url": "<string>",
"settings_webapp": {
"current_organization": "<string>",
"selected_theme_id": "<string>",
"private_sidebar_filter_vehicles": {
"show_own_vehicles": true,
"show_client_vehicles": true
},
"professional_sidebar_filter_vehicles": {
"show_own_vehicles": true,
"show_client_vehicles": true
},
"timestamp_last_time_upgrade_app_shown": "2023-11-07T05:31:56Z"
},
"settings_nativeapp": {
"theme": "<string>",
"map_style": "<string>",
"font_size": "<string>",
"animations": true
},
"may_use_email_for_marketing": true,
"profile_picture_id": "<string>",
"primary_locale": "<string>",
"notification_new_message": true,
"notification_new_news_article": true,
"ecosystem_timestamp_last_news_read": "2023-11-07T05:31:56Z",
"company_name": "<string>",
"company_tel": "<string>"
}
}{
"header": {
"api_version": "<string>",
"status": "<string>",
"message": "<string>",
"permission_via": [
{
"permission": "<string>",
"organization_id": "<string>"
}
]
},
"error": {
"id": "<string>",
"status": 123,
"type": "<string>",
"message": "<string>",
"message_i18n": "<string>",
"data": {}
}
}{
"header": {
"api_version": "<string>",
"status": "<string>",
"message": "<string>",
"permission_via": [
{
"permission": "<string>",
"organization_id": "<string>"
}
]
},
"error": {
"id": "<string>",
"status": 123,
"type": "<string>",
"message": "<string>",
"message_i18n": "<string>",
"data": {}
}
}{
"header": {
"api_version": "<string>",
"status": "<string>",
"message": "<string>",
"permission_via": [
{
"permission": "<string>",
"organization_id": "<string>"
}
]
},
"error": {
"id": "<string>",
"status": 123,
"type": "<string>",
"message": "<string>",
"message_i18n": "<string>",
"data": {}
}
}{
"header": {
"api_version": "<string>",
"status": "<string>",
"message": "<string>",
"permission_via": [
{
"permission": "<string>",
"organization_id": "<string>"
}
]
},
"error": {
"id": "<string>",
"status": 123,
"type": "<string>",
"message": "<string>",
"message_i18n": "<string>",
"data": {}
}
}Authorizations
Note that the API key has to be sent as Token 123 where 123 is
the key you received after logging in or by creating on the developer
dashboard.
Body
A user's profile, consisting of email, name, profile picture, etc.
The first name of this user.
The last name of this user.
If the user has agreed to receive marketing emails. This is a separate setting from the general notification settings, as it is not related to the app's functionality, but to privacy rights instead.
The country code of the country this user lives in.
The street address of this user.
The city this user lives in.
The zip code of the city this user lives in.
The user's profile image unique identifier. You can retrieve a new image
identifier by POSTing a new image to /image/. Please refer to the respective
section of this documentation.
The primary locale (language) of a user. If it is not set, it is automatically set the next time the user logs in (to the default browser / OS language).
The chosen measurement units (metric or imperial). Note: This is only used for displaying values in frontends - everything served and consumed by the API is in metric units.
METRIC, IMPERIAL The chosen time format, as 24-hour vs 12-hour with AM/PM. Note: This is only used for displaying values in frontends.
24H, AMPM User settings (for the c.technology webapp). You should likely not change these settings using the API, as it will have little effect on anything that you could use the API for (and the settings might frequently change when a user logs in).
Show child attributes
Show child attributes
User settings (for the c.technology native apps). You should likely not change these settings using the API, as it will have little effect on anything that you could use the API for (and the settings might frequently change when a user logs in).
Show child attributes
Show child attributes
If the user wants to receive notifications upon receiving a new message.
If the user wants to receive notifications upon a partner posting a new news article.
The date/time at which the user saw the news last time. Used to determine which news are considered "new" for a user.
Deprecated: The company the user works at.
Deprecated: The phone number of the company the user works at.

